Subject: RE: Xilinx ML310 Linux 2.6 PCI bridge

From: "Stephen Neuendorffer" <[email-masked]>
Date: Sun, 9 Dec 2007 21:46:57 -0800

I would strongly recommend not spending a huge amount of time on the ml310.  The University program board is dirt cheap for universities, very well supported under Linux, using either secretlab.ca or git.xilinx.com and you won't spend your time getting PCI to place and route correctly, followed by figuring out how to get Linux to talk to it nicely.

If your lab can afford a bee2, then you should be able to afford one (or better yet, several) xupv2p's to go with it.

http://www.xilinx.com/univ/xupv2p.html

Steve

-----Original Message-----
From: linuxppc-embedded-bounces+stephen=[email-masked] on behalf of Grant Likely
Sent: Sun 12/9/2007 12:23 PM
To: Jean-Samuel Chenard
Cc: [email-masked]
Subject: Re: Xilinx ML310 Linux 2.6 PCI bridge
 
On 12/9/07, Jean-Samuel Chenard <[email-masked]> wrote:
> On Dec 9, 2007 1:18 AM, Grant Likely <[email-masked]> wrote:
> > On 12/8/07, Jean-Samuel Chenard <[email-masked]> wrote:
> > > Thanks to the valuable information provided by this discussion group and
> > > particularly by Grant Likely from Secret Lab Technologies, I was able to
> > > setup and run Linux 2.6 on my ML-310 development platform.
> >
> > Congratulations.  If you had to make any changes to get it to work
> > then please send me your patches.
>
> Thank you for the quick reply.

No problem.

>
> I will directly update Secret Lab's Wiki pages.  Those pages are the
> ones that got me going really quickly, so I will add a few of my
> observations directly on your pages so everyone can benefit.

Much appreciated; thank you!

> My real target is the control FPGA on a BEE2 box
> (http://bee2.eecs.berkeley.edu) and on that particular setup, the
> control FPGA is directly connected to an LXT971A Ethernet PHY, so I'll
> use the ethernet MAC from Xilinx.

Cool platform.  Yes, you should have much better luck with the EMAC
core.  The driver needs some work to be acceptable for mainline, but
it should be functional.

Cheers,
g.

-- 
Grant Likely, B.Sc., P.Eng.
Secret Lab Technologies Ltd.
[email-masked]
(403) 399-0195
_______________________________________________
Linuxppc-embedded mailing list
[email-masked]
https://ozlabs.org/mailman/listinfo/linuxppc-embedded